Namespace
mpromonet
Image / Tag
webrtc-streamer:v0.8.12-armv6l
Content Digest
sha256:30a06e7cb1f6bb118627da1ca6eea204eb036b460340198ebd397023918fc7eb
Details
Created

2025-05-10 08:52:32 UTC

Size

87 MB

Content Digest
Labels
  • io.balena.architecture
    rpi
  • io.balena.device-type
    raspberry-pi
  • io.balena.qemu.version
    7.0.0+balena1-arm
  • maintainer
    michel.promonet@free.fr

Environment
DEBIAN_FRONTEND

noninteractive

LC_ALL

C.UTF-8

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

QEMU_CPU

arm1176

UDEV

off


Layers

[#000] sha256:52fc6729ed423fd43d5ef1e36708b1419a9e16a7cbb712ff16beb1228375f5a8 - 59.88% (52.1 MB)

[#001] sha256:a13012f956efcd9e5769b72a981e6d9f1888440424e0b964a83f0cb915baf916 - 0.0% (306 Bytes)

[#002] sha256:6fe3b1e5b1e10b4dce757058fedfd9841ac4452c8bc6911027b40895bc6b32d5 - 0.0% (256 Bytes)

[#003] sha256:3612ba1bb511b04384b19625cce9aed392ed86a5dd6fda4851ab87dbfdbd97d1 - 0.0% (911 Bytes)

[#004] sha256:d353848d63653236779a7258fb17040ece128b248e2234232bab79a2444fdfb9 - 0.0% (176 Bytes)

[#005] sha256:a3bf02af01854bfb675092a27860195ca2881ae7a696d30a6aa9bd310ed31146 - 0.0% (414 Bytes)

[#006] sha256:50e13e7b2b49729dc12ff6a92189733f6f542097013be3b75a8c0cfeb8bfcc45 - 15.49% (13.5 MB)

[#007] sha256:b89eeb8864999dbd398af773f061994c21b4971e4b9b459cae7582a34d1aea3e - 0.14% (128 KB)

[#008] sha256:8500eac4d045e3b37487815e75d16ceff381f1222c1da14a935b14fbfda2bfd7 - 2.54% (2.21 MB)

[#009] sha256:222059cd66b1b11b11f1107fc9a9c94c20f6cc68a1d3987c935df9194ad41243 - 9.72% (8.45 MB)

[#010] sha256:275b3835e0da2cc725ebf3d274aa5a53930cd018141d8facce1656ec3bfaf8ce - 0.52% (462 KB)

[#011] sha256:21cb1830b1f451656c358342bd0d6fd49ecd69fa1940a801df1a5a06804bbecb - 0.0% (272 Bytes)

[#012] sha256:65a72e4f193a64c57eb4993f8c9b6942a8ee5f0575b3f0fce3fbd433c82ef5eb - 0.0% (260 Bytes)

[#013] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)

[#014] sha256:a883907c1bc95bb32e26b5d068408fa847af12323264779289e447d03b61fefb - 0.0% (1011 Bytes)

[#015] sha256:38e818f89cdddbce9ec90729494c131bcc1d2acd3ee786efd7590c19d4b6856d - 0.0% (277 Bytes)

[#016] sha256:549f2b4e0048e3ee64a90e047172532afb9ea5ce09296d3b366fa24a056fc256 - 0.0% (678 Bytes)

[#017] sha256:4f4fb700ef54461cfa02571ae0db9a0dc1e0cdb5577484a6d75e68dc38e8acc1 - 0.0% (32 Bytes)

[#018] sha256:4afe5caa7c984546645434f9d264b25095c11149972811646a43468fb75cba69 - 0.0% (464 Bytes)

[#019] sha256:9e1619f57d0b004639641040baab20a9e65aa6494e6055172632f81f444c0048 - 1.01% (900 KB)

[#020] sha256:f12321807ccce8e7f24c2f619c4c636c663851b4fbb38ee7e1ae5df1cda5af06 - 0.0% (469 Bytes)

[#021] sha256:3093e7d2f94a543869993b8ef3f693570d349b088faefe8fad2be989654db752 - 0.0% (165 Bytes)

[#022] sha256:6c02652db60607c24bd0049cc5b10d224ed44b78489a574865abd4af1f18818a - 8.93% (7.77 MB)

[#023] sha256:50bf944ddaa374ca65f22ac0e91d33e56218817257b48eb0f68f128f675bb661 - 1.77% (1.54 MB)


History
2023-07-05 05:17:24 UTC

/bin/sh -c #(nop) ADD file:6b9906f45789b90b64c91a56ea1606196fd254fc1a503968ba97d17ba6e0f35f in /

2023-07-05 05:17:24 UTC

/bin/sh -c #(nop) COPY file:7e96bef641cb464ab5ecebb3e587e9602e44343ea6ef5053120a1bc89b195904 in /etc/dpkg/dpkg.cfg.d/

2023-07-05 05:17:25 UTC

/bin/sh -c #(nop) COPY file:fee64614e449c34ea8ea69a2f3263d8c44f49bd0bee3761919ca8e29080c755c in /etc/apt/apt.conf.d/

2023-07-05 05:17:25 UTC

/bin/sh -c #(nop) COPY file:89f8c0baac2d061891e11dceb63fff15bc65edf090909e3c161d1673a2bf6026 in /usr/bin/entry.sh

2023-07-05 05:17:26 UTC

/bin/sh -c mkdir -p /usr/share/man/man1

2023-07-05 05:17:26 UTC

/bin/sh -c ln -s resin-xbuild /usr/bin/cross-build-start && ln -s resin-xbuild /usr/bin/cross-build-end

2023-07-05 05:17:26 UTC

/bin/sh -c #(nop) ENV LC_ALL=C.UTF-8

2023-07-05 05:17:26 UTC

/bin/sh -c #(nop) ENV PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2023-07-05 05:17:26 UTC

/bin/sh -c #(nop) ENV DEBIAN_FRONTEND=noninteractive

2023-07-05 05:17:26 UTC

/bin/sh -c #(nop) ENV UDEV=off

2023-07-05 05:17:27 UTC

/bin/sh -c #(nop) LABEL io.balena.architecture=rpi io.balena.qemu.version= io.balena.device-type=raspberrypi

2023-07-05 05:17:27 UTC

/bin/sh -c #(nop) ENV QEMU_CPU=arm1176

2023-07-05 05:17:27 UTC

/bin/sh -c echo '#!/bin/sh\nset -e\nset -u\nexport DEBIAN_FRONTEND=noninteractive\nn=0\nmax=2\nuntil [ $n -gt $max ]; do\n set +e\n (\n apt-get update -qq &&\n apt-get install -y --no-install-recommends "$@"\n )\n CODE=$?\n set -e\n if [ $CODE -eq 0 ]; then\n break\n fi\n if [ $n -eq $max ]; then\n exit $CODE\n fi\n echo "apt failed, retrying"\n n=$(($n + 1))\ndone\nrm -r /var/lib/apt/lists/*' > /usr/sbin/install_packages && chmod 0755 "/usr/sbin/install_packages"

2023-07-05 05:18:47 UTC

/bin/sh -c install_packages libraspberrypi-bin udev

2023-07-05 05:19:43 UTC

/bin/sh -c update-ca-certificates -f

2023-07-05 05:19:43 UTC

/bin/sh -c #(nop) ENTRYPOINT ["/usr/bin/entry.sh"]

2023-07-05 05:19:43 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-04-01 02:01:44 UTC (buildkit.dockerfile.v0)

LABEL io.balena.architecture=rpi

2025-04-01 02:01:44 UTC (buildkit.dockerfile.v0)

LABEL io.balena.qemu.version=7.0.0+balena1-arm

2025-04-01 02:01:44 UTC (buildkit.dockerfile.v0)

COPY qemu-arm-static /usr/bin # buildkit

2025-04-01 02:02:53 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c apt-get update && apt-get install -y --no-install-recommends sudo ca-certificates findutils gnupg dirmngr inetutils-ping netbase curl udev procps $( if apt-cache show 'iproute' 2>/dev/null | grep -q '^Version:'; then echo 'iproute'; else echo 'iproute2'; fi ) && rm -rf /var/lib/apt/lists/* && c_rehash && echo '#!/bin/sh\nset -e\nset -u\nexport DEBIAN_FRONTEND=noninteractive\nn=0\nmax=2\nuntil [ $n -gt $max ]; do\n set +e\n (\n apt-get update -qq &&\n apt-get install -y --no-install-recommends "$@"\n )\n CODE=$?\n set -e\n if [ $CODE -eq 0 ]; then\n break\n fi\n if [ $n -eq $max ]; then\n exit $CODE\n fi\n echo "apt failed, retrying"\n n=$(($n + 1))\ndone\nrm -rf /var/cache/apt/archives/* /var/lib/apt/lists/*' > /usr/sbin/install_packages && chmod 0755 "/usr/sbin/install_packages" # buildkit

2025-04-01 02:02:54 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c curl -SLO "http://resin-packages.s3.amazonaws.com/resin-xbuild/v1.0.0/resin-xbuild1.0.0.tar.gz" && echo "1eb099bc3176ed078aa93bd5852dbab9219738d16434c87fc9af499368423437 resin-xbuild1.0.0.tar.gz" | sha256sum -c - && tar -xzf "resin-xbuild1.0.0.tar.gz" && rm "resin-xbuild1.0.0.tar.gz" && chmod +x resin-xbuild && mv resin-xbuild /usr/bin && ln -sf resin-xbuild /usr/bin/cross-build-start && ln -sf resin-xbuild /usr/bin/cross-build-end # buildkit

2025-04-01 02:02:54 UTC (buildkit.dockerfile.v0)

ENV LC_ALL=C.UTF-8

2025-04-01 02:02:54 UTC (buildkit.dockerfile.v0)

ENV DEBIAN_FRONTEND=noninteractive

2025-04-01 02:02:54 UTC (buildkit.dockerfile.v0)

ENV UDEV=off

2025-04-01 02:02:54 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c echo 'path-exclude /usr/share/doc/*\npath-include /usr/share/doc/*/copyright\npath-exclude /usr/share/man/*\npath-exclude /usr/share/groff/*\npath-exclude /usr/share/info/*\npath-exclude /usr/share/lintian/*\npath-exclude /usr/share/linda/*\npath-exclude /usr/share/locale/*\npath-include /usr/share/locale/en*' > /etc/dpkg/dpkg.cfg.d/01_nodoc # buildkit

2025-04-01 02:02:54 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c echo 'APT::Get::Assume-Yes "true";\nAPT::Install-Recommends "0";\nAPT::Install-Suggests "0";\nquiet "true";' > /etc/apt/apt.conf.d/01_buildconfig # buildkit

2025-04-01 02:02:54 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c mkdir -p /usr/share/man/man1 # buildkit

2025-04-01 02:02:54 UTC (buildkit.dockerfile.v0)

COPY entry.sh /usr/bin/entry.sh # buildkit

2025-04-01 02:02:54 UTC (buildkit.dockerfile.v0)

COPY balena-info /usr/bin/balena-info # buildkit

2025-04-01 02:02:54 UTC (buildkit.dockerfile.v0)

COPY balena-idle /usr/bin/balena-idle # buildkit

2025-04-01 02:02:54 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["/usr/bin/entry.sh"]

2025-04-01 02:02:54 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c curl -SLO "https://raw.githubusercontent.com/balena-io-library/base-images/a95300eda2320833e537ca20d728a870bf02177d/scripts/assets/tests/test-os.sh" && echo "Running test-os" && chmod +x test-os.sh && bash test-os.sh debian bookworm && rm -rf test-os.sh # buildkit

2025-04-01 02:02:54 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c [ ! -d /.balena/messages ] && mkdir -p /.balena/messages; echo 'Here are a few details about this Docker image (For more information please visit https://www.balena.io/docs/reference/base-images/base-images/): \nArchitecture: ARM v6 \nOS: Debian Bookworm \nVariant: run variant \nDefault variable(s): UDEV=off \nExtra features: \n- Easy way to install packages with `install_packages <package-name>` command \n- Run anywhere with cross-build feature (for ARM only) \n- Keep the container idling with `balena-idle` command \n- Show base image details with `balena-info` command' > /.balena/messages/image-info # buildkit

2025-04-01 04:01:10 UTC (buildkit.dockerfile.v0)

LABEL io.balena.device-type=raspberry-pi

2025-04-01 04:01:10 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c apt-get update && apt-get install -y --no-install-recommends less kmod nano net-tools ifupdown iputils-ping i2c-tools usbutils && rm -rf /var/lib/apt/lists/* # buildkit

2025-04-01 04:01:10 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c [ ! -d /.balena/messages ] && mkdir -p /.balena/messages; echo 'Here are a few details about this Docker image (For more information please visit https://www.balena.io/docs/reference/base-images/base-images/): \nArchitecture: ARM v6 \nOS: Debian Bookworm \nVariant: run variant \nDefault variable(s): UDEV=off \nExtra features: \n- Easy way to install packages with `install_packages <package-name>` command \n- Run anywhere with cross-build feature (for ARM only) \n- Keep the container idling with `balena-idle` command \n- Show base image details with `balena-info` command' > /.balena/messages/image-info # buildkit

2025-05-10 08:21:32 UTC (buildkit.dockerfile.v0)

LABEL maintainer=michel.promonet@free.fr

2025-05-10 08:21:32 UTC (buildkit.dockerfile.v0)

WORKDIR /usr/local/share/webrtc-streamer

2025-05-10 08:52:32 UTC (buildkit.dockerfile.v0)

COPY /usr/local/bin/webrtc-streamer /usr/local/bin/ # buildkit

2025-05-10 08:52:32 UTC (buildkit.dockerfile.v0)

COPY /usr/local/share/webrtc-streamer/ /usr/local/share/webrtc-streamer/ # buildkit

2025-05-10 08:52:32 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["webrtc-streamer"]

2025-05-10 08:52:32 UTC (buildkit.dockerfile.v0)

CMD ["-a" "-C" "config.json"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete